​
Select Service
ves-io-schema-route-API-List
Published April 5, 2023 | Last modified September 15, 2026
Examples of listing route
Usecase:
List route
Request using vesctl:
vesctl configuration list route --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: route-1 namespace: documentation statusSet: [] tenant: acmecorp uid: df34f83a-f5f5-453e-9aa3-bad7c25d69a9Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/routes'curl response
HTTP/1.1 200 OKContent-Length: 437Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:04:19 GMTVary: Accept-EncodingX-Volterra-Response-Fields-Deprecated: items.#.get_spec.routes.#.route_direct_response.response_body
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "route-1", "uid": "df34f83a-f5f5-453e-9aa3-bad7c25d69a9", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}